# <adsigetprop>

Used to get the value of a property from an ADSI object.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
propname | string | The name of the property to get. | True
storein | string | The name of the property to store the value in. | True
path | string | The ADSI path of the location where we want to work with. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Requirements

Assembly: NAnt.Contrib.Tasks (0.85.2479.0)